package com.house365.ws.dao.mapper;

import com.house365.beans.entity.ExternalCustomerEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/6/30.
 */
@Repository
public interface ExternalCustomerMapper {

    ExternalCustomerEntity queryById(int id);

    int save(ExternalCustomerEntity entity);

    void update(ExternalCustomerEntity entity);

    List<ExternalCustomerEntity> queryByConditions(Map<String, Object> map);

    List<Map<String, Object>> queryList(Map<String, Object> map);

    int queryCount(Map<String, Object> map);
}
